Bug 1336491 - Ship FD connection patches qemu-kvm part
Summary: Ship FD connection patches qemu-kvm part
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Marc-Andre Lureau
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Depends On: 1328898 1329973
Blocks: 1043950
TreeView+ depends on / blocked
 
Reported: 2016-05-16 15:45 UTC by Vladimir Benes
Modified: 2016-11-03 20:13 UTC (History)
18 users (show)

Fixed In Version: qemu-kvm-1.5.3-115.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1328898
Environment:
Last Closed: 2016-11-03 20:13:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
xml dump of vm (4.38 KB, text/html)
2016-05-17 09:57 UTC, Vladimir Benes
no flags Details
libvirt logs (3.13 KB, text/plain)
2016-05-17 10:03 UTC, Vladimir Benes
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2585 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2016-11-03 12:09:03 UTC

Comment 1 Vladimir Benes 2016-05-16 15:46:58 UTC
we now end with this error:

May 16 16:53:43 trautenberg libvirtd[32702]: ethtool ioctl error: No such device
May 16 16:53:43 trautenberg libvirtd[11926]: failed to connect to monitor socket: No such process
May 16 16:53:43 trautenberg libvirtd[11926]: internal error: process exited while connecting to monitor: 
                                             (process:23756): GLib-WARNING **: gmem.c:482: custom memory allocation vtable not supported
                                             2016-05-16T14:53:42.977645Z qemu-kvm: neither port nor tls-port specified for spice

so we need yet another piece to be backported into qemu-kvm-1.5.*.

Comment 2 Christophe Fergeau 2016-05-17 09:32:22 UTC
Please add libvirt XML for the problematic VM, as well as the libvirt log for this VM (this should contain the qemu command line which is failing).

Comment 3 Christophe Fergeau 2016-05-17 09:46:16 UTC
Ah, this specific error was removed by
http://git.qemu.org/?p=qemu.git;a=commitdiff;h=cf7856adefebe86e0cd50302d93b3045e3111690 "spice: do not require TCP ports"

Comment 4 Vladimir Benes 2016-05-17 09:57:41 UTC
Created attachment 1158237 [details]
xml dump of vm

Comment 5 Vladimir Benes 2016-05-17 10:03:59 UTC
Created attachment 1158239 [details]
libvirt logs

Comment 6 Matthias Clasen 2016-05-26 11:49:29 UTC
Is this bug on the radar for 7.3 ? We have a boxes bug that depends on it

Comment 7 Gerd Hoffmann 2016-06-01 13:17:18 UTC
backport posted.

Comment 8 Miroslav Rezanina 2016-06-20 07:35:15 UTC
Fix included in qemu-kvm-1.5.3-115.el7

Comment 10 Guo, Zhiyi 2016-09-02 10:11:48 UTC
Reproduce this bug against qemu-kvm-1.5.3-114.el7.x86_64

virsh xml used:
<domain type='kvm' id='2'>
  <name>rhel73ss1</name>
  <uuid>b9d20ea3-5174-4fe7-a038-7e3028de3b66</uuid>
  <memory unit='KiB'>1048576</memory>
  <currentMemory unit='KiB'>1048576</currentMemory>
  <vcpu placement='static'>1</vcpu>
  <resource>
    <partition>/machine</partition>
  </resource>
  <os>
    <type arch='x86_64' machine='pc-i440fx-rhel7.0.0'>hvm</type>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/>
    <apic/>
  </features>
  <cpu mode='custom' match='exact'>
    <model fallback='allow'>SandyBridge</model>
  </cpu>
  <clock offset='utc'>
    <timer name='rtc' tickpolicy='catchup'/>
    <timer name='pit' tickpolicy='delay'/>
    <timer name='hpet' present='no'/>
  </clock>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <pm>
    <suspend-to-mem enabled='no'/>
    <suspend-to-disk enabled='no'/>
  </pm>
  <devices>
    <emulator>/usr/libexec/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='qcow2'/>
      <source file='/home/ss1rhel73.qcow2'/>
      <backingStore/>
      <target dev='vda' bus='virtio'/>
      <alias name='virtio-disk0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
    </disk>
    <controller type='usb' index='0' model='ich9-ehci1'>
      <alias name='usb'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x7'/>
    </controller>
    <controller type='usb' index='0' model='ich9-uhci1'>
      <alias name='usb'/>
      <master startport='0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0' multifunction='on'/>
    </controller>
    <controller type='usb' index='0' model='ich9-uhci2'>
      <alias name='usb'/>
      <master startport='2'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x1'/>
    </controller>
    <controller type='usb' index='0' model='ich9-uhci3'>
      <alias name='usb'/>
      <master startport='4'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x2'/>
    </controller>
    <controller type='pci' index='0' model='pci-root'>
      <alias name='pci.0'/>
    </controller>
    <controller type='virtio-serial' index='0'>
      <alias name='virtio-serial0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </controller>
    <interface type='bridge'>
      <mac address='52:54:00:79:4d:4f'/>
      <source bridge='br0'/>
      <target dev='vnet0'/>
      <model type='virtio'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <serial type='pty'>
      <source path='/dev/pts/2'/>
      <target port='0'/>
      <alias name='serial0'/>
    </serial>
    <console type='pty' tty='/dev/pts/2'>
      <source path='/dev/pts/2'/>
      <target type='serial' port='0'/>
      <alias name='serial0'/>
    </console>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channel/target/domain-2-rhel73ss1/org.qemu.guest_agent.0'/>
      <target type='virtio' name='org.qemu.guest_agent.0' state='connected'/>
      <alias name='channel0'/>
      <address type='virtio-serial' controller='0' bus='0' port='1'/>
    </channel>
    <channel type='spicevmc'>
      <target type='virtio' name='com.redhat.spice.0' state='connected'/>
      <alias name='channel1'/>
      <address type='virtio-serial' controller='0' bus='0' port='2'/>
    </channel>
    <input type='tablet' bus='usb'>
      <alias name='input0'/>
      <address type='usb' bus='0' port='1'/>
    </input>
    <input type='mouse' bus='ps2'>
      <alias name='input1'/>
    </input>
    <input type='keyboard' bus='ps2'>
      <alias name='input2'/>
    </input>
    <graphics type='spice' autoport='no'>
      <image compression='off'/>
    </graphics>
    <sound model='ich6'>
      <alias name='sound0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </sound>
    <video>
      <model type='qxl' ram='65536' vram='65536' vgamem='16384' heads='1' primary='yes'/>
      <alias name='video0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <redirdev bus='usb' type='spicevmc'>
      <alias name='redir0'/>
      <address type='usb' bus='0' port='2'/>
    </redirdev>
    <redirdev bus='usb' type='spicevmc'>
      <alias name='redir1'/>
      <address type='usb' bus='0' port='3'/>
    </redirdev>
    <memballoon model='virtio'>
      <alias name='balloon0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x08' function='0x0'/>
    </memballoon>
  </devices>
  <seclabel type='dynamic' model='selinux' relabel='yes'>
    <label>system_u:system_r:svirt_t:s0:c925,c975</label>
    <imagelabel>system_u:object_r:svirt_image_t:s0:c925,c975</imagelabel>
  </seclabel>
  <seclabel type='dynamic' model='dac' relabel='yes'>
    <label>+107:+107</label>
    <imagelabel>+107:+107</imagelabel>
  </seclabel>
</domain>

Steps:
virsh create guest.xml

Results:
# virsh create guest.xml 
error: Failed to create domain from guest.xml
error: internal error: process exited while connecting to monitor: t.spice.0 -device usb-tablet,id=input0,bus=usb.0,port=1 -spice port=0,disable-ticketing,image-compression=off,seamless-migration=on -vga qxl -global qxl-vga.ram_size=67108864 -global qxl-vga.vram_size=67108864 -global qxl-vga.vgamem_mb=16 -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -chardev spicevmc,id=charredir0,name=usbredir -device usb-redir,chardev=charredir0,id=redir0,bus=usb.0,port=2 -chardev spicevmc,id=charredir1,name=usbredir -device usb-redir,chardev=charredir1,id=redir1,bus=usb.0,port=3 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x8 -msg timestamp=on

(process:16575): GLib-WARNING **: gmem.c:482: custom memory allocation vtable not supported
2016-09-02T09:25:05.513154Z qemu-kvm: neither port nor tls-port specified for spice

Verify with qemu-kvm-1.5.3-122.el7.x86_64:

Results:
# virsh create guest.xml 
Domain rhel73ss1 created from guest.xml
#virt-viewer -a rhel73ss1
# virsh qemu-monitor-command --hmp rhel73ss1 info spice
Server:
    migrated: false
        auth: none
    compiled: 0.12.4
  mouse-mode: client
Channel:
     address: localhost:
     session: 1525999565
     channel: 1:0
....

Comment 11 Guo, Zhiyi 2016-09-04 03:27:51 UTC
Move to verified per comment 10

Comment 13 errata-xmlrpc 2016-11-03 20:13:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2585.html


Note You need to log in before you can comment on or make changes to this bug.